# lua/lundump.h File Reference

`#include "lobject.h"`
`#include "lzio.h"`

Include dependency graph for lundump.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | LUAC_VERSION 0x51
#define | LUAC_FORMAT 0
#define | LUAC_HEADERSIZE 12

## Functions

Proto * | luaU_undump (lua_State *L, ZIO *Z, Mbuffer *buff, const char *name)
void | luaU_header (char *h)
int | luaU_dump (lua_State *L, const Proto *f, lua_Writer w, void *data, int strip)

## Define Documentation

#define LUAC_FORMAT 0

Definition at line 31 of file lundump.h.

Referenced by luaU_header().

#define LUAC_HEADERSIZE 12

Definition at line 34 of file lundump.h.

Referenced by DumpHeader(), and LoadHeader().

#define LUAC_VERSION 0x51

Definition at line 28 of file lundump.h.

Referenced by luaU_header().

## Function Documentation

int luaU_dump | ( | lua_State * | L,
|  | const Proto * | f,
|  | lua_Writer | w,
|  | void * | data,
|  | int | strip |
| ) |  |  |

Definition at line 153 of file ldump.c.

References DumpState::data, DumpFunction(), DumpHeader(), DumpState::L, DumpState::status, DumpState::strip, and DumpState::writer.

Referenced by lua_dump().

void luaU_header | ( | char * | h | ) |

Definition at line 210 of file lundump.c.

References LUAC_FORMAT, and LUAC_VERSION.

Referenced by DumpHeader(), and LoadHeader().

Proto* luaU_undump | ( | lua_State * | L,
|  | ZIO * | Z,
|  | Mbuffer * | buff,
|  | const char * | name |
| ) |  |  |

Definition at line 191 of file lundump.c.

References LoadState::b, LoadState::L, LoadFunction(), LoadHeader(), luaS_newliteral, LoadState::name, and LoadState::Z.

Referenced by f_parser().